#include <bits/stdc++.h>
using namespace std;
vector <int> res,niz;
long long N,k;
int dir[2000045],br[2000023];
vector<int> solve(vector<int> A){
    N=A.size();
    for(int i=0;i<N;i++){
        dir[A[i]]++;
    }
    for(int i=0;i<N;i++){
        if(dir[A[i]]>(br[A[i]]*2)){
            res.push_back(i);
            br[A[i]]++;
        }
    }
    for(int i=N-1;i>=0;i--){
        if(br[A[i]]<dir[A[i]]){
            res.push_back(i);
            br[A[i]]++;
        }
    }

    return res;
}